## regolith-displayd 0.2.4-1regolith

=== debian/changelog ===
regolith-displayd (0.2.4-1regolith-mantic) mantic; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 19 Oct 2023 03:53:49 +0000

regolith-displayd (0.2.4) focal; urgency=medium

  * chore: linting changes
  * feat: add fractional scaling for resolutions greater than 1920 x 1080

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Wed, 09 Aug 2023 02:14:15 +0530

regolith-displayd (0.2.3ubuntu1) focal; urgency=medium

  * It was not possible to disable a monitor due to missing quotes

 -- Frederic Van Espen <github@freh.be>  Tue, 11 Jul 2023 12:55:55 +0200

regolith-displayd (0.2.2ubuntu1) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix profile data writes

 -- Soumya Ranjan patnaik <soumyaranjan1812@gmail.com>  Sat, 17 Dec 2022 18:29:44 +0530

regolith-displayd (0.2.2) focal; urgency=medium

  * Fix incorrect profile
  * Format codebase

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Thu, 15 Dec 2022 20:26:58 +0530

regolith-displayd (0.2) focal; urgency=medium

  [ Regolith Linux ]
  * Add copyright owner

  [ Soumya Ranjan Patnaik ]
  * Fix gnome-control-center crash with inactive displays
  * Emit monitors_changed signal on display enable/disable
  * Disabled monitors are now filtered out, changed polling rate
  * Persist settings using kanshi (#1)
  * Added kanshi autostart script
  * fix: unable to kill multiple processes
  * restart kanshi on settings change
  * init script to start kanshi and regoltih-displayd
  * Makefile cleanup, set CARGO_HOME to avoid permission issues
  * Remove desktop file
  * Fix output not recognised error (change quotes to ' " ')
  * Fix regolith-displayd-init killall terminating the script
  * Cleanup Makefile

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Thu, 15 Dec 2022 01:23:55 +0530

regolith-displayd (0.1-2) focal; urgency=medium

  * Update packaging

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 13 Aug 2022 12:48:03 -0700

regolith-displayd (0.1) focal; urgency=low

  * Initial release. 

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Mon, 25 Jul 2022 03:45:27 +0530

## regolith-displayd 0.2.5-1regolith

=== debian/changelog ===
regolith-displayd (0.2.5-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 26 Oct 2023 03:23:19 +0000

regolith-displayd (0.2.5) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * feat: add support for builtin monitor
  * fix: disabled monitors should reflect in mointors instead of logical_monitors
  * fix: cannot reenable monitors

 -- Soumya Ranjan Panaik <soumyaranjan1812@gmail.com>  Wed, 25 Oct 2023 05:55:07 +0530

## regolith-displayd 0.3.2-1regolith

=== debian/changelog ===
regolith-displayd (0.3.2-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:17:01 +0000

regolith-displayd (0.3.2) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 21:03:30 +0000

regolith-displayd (0.3.1) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * chore: let systemd manage regolith-displayd
  * fix: regolith-displayd first time startup failure via systemd
  * chore: start daemon using systemd instead of regolith-displayd-init

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 28 Jun 2024 08:10:53 -0700

regolith-displayd (0.3.0) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: use systemd to synchronize statrup for displayd and kanshi (#5)

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 02 Jun 2024 10:50:19 -0700

## regolith-displayd 0.3.3

=== Makefile ===
build:
	mkdir -p debian/tmp_files/.cargo
	CARGO_HOME=debian/tmp_files/.cargo cargo build --release

clean:
	cargo clean

## regolith-displayd 0.3.3-1regolith

=== debian/changelog ===
regolith-displayd (0.3.3-1regolith-testing) testing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 19 Oct 2025 15:00:31 +0000

regolith-displayd (0.3.3) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

  [ Soumya Ranjan Patnaik ]
  * chore: lint files to be more readable

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 19 Oct 2025 14:59:26 +0000

=== debian/control ===
Source: regolith-displayd
Section: unknown
Priority: optional
Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>
Build-Depends: cargo, libglib2.0-dev, debhelper-compat (=12)
Standards-Version: 4.5.0
Homepage: <https://github.com/regolith-linux/regolith-displayd>

Package: regolith-displayd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, kanshi
Recommends: gnome-control-center
Description: Daemon for enabling inter-op between 
  gnome-control-center display panel and sway 
  by providing relevant dbus bindings
